Subject: Backup LSP vs Fast reroute

From: "Heqing Zhu" <[email-masked]>
Date: Mon, 26 Feb 2001 10:56:19 +0800

Hi,All:

Being a new comer, some questions confuse me.
I know some difference between Backup LSP and Fast Reroute.
But I don't know, If I specify a static LSP like Backup LSP to implement Fast Reroute.
What is main difference between Backup LSP and Fast Reroute?
Thanks for your help!

Heqing Zhu

---

From: Vishal Sharma <[email-masked]>
Date: Sun, 25 Feb 2001 19:32:25 -0800

Hi Heqing,

Typically, the use of the term "backup LSP" tends to imply that
you are setting up, a priori, an LSP to which traffic can be switched,
in case of failure on that segment of the primary LSP that is protected
by the "backup" LSP. This gives a one-for-one or a one-plus-one mode
of protection (depending on whether or not you choose to transmit
actual data on the backup LSP).
A lot of this terminology is clarified and defined in the MPLS-recovery
framework document
http://search.ietf.org/internet-drafts/draft-ietf-mpls-recovery-frmwrk-01.tx
t

However, even to effect "fast reroute" you would need to set up an
LSP between the nodes across which you wish to effect "fast reroute";
a "backup LSP", if you will.
In case of a failure of the link between the two nodes, the node
upstream of the point of failure would perform a label swap and a push,
pushing on the label of the "backup LSP." If penultimate hop popping
is in effect, the node downstream of the failed link will receive 
labeled packets with the exact same label with which it would have
received them over the link that failed. Assuming the downstream
node uses a global label space, it would be able to label switch
the data. In this case, the "backup LSP" can rightly be called a 
"backup tunnel", since it allows for all LSPs traveling on the failed
link to be "tunnelled through" the "backup tunnel" to the downstream
node.

A draft describing this approach is
http://search.ietf.org/internet-drafts/draft-swallow-rsvp-bypass-label-01.tx
t
(Note, however, that the signaling extensions proposed in this draft
neither address the case of non-global label spaces nor the case where the 
nodes between which a backup tunnel is setup are separated by more than 
one link.)

A general solution for signaling "backup LSPs" appears in 
http://search.ietf.org/internet-drafts/draft-chang-mpls-path-protection-02.t
xt

and the protocol-specific extensions to realize this solution appear
in two companion drafts
http://search.ietf.org/internet-drafts/draft-chang-mpls-rsvpte-path-protecti
on-ext-01.txt
and
http://search.ietf.org/internet-drafts/draft-owens-crldp-path-protection-ext
-00.txt

-Vishal

>-----Original Message-----
>From: Heqing Zhu [mailto:[email-masked]]
>Sent: Sunday, February 25, 2001 6:56 PM
>To: [email-masked]
>Subject: Backup LSP vs Fast reroute
>
>
>Hi,All:
>